iCalendlyDeveloper Docs
Bookings

POSTReassign a booking to a specific host

Reassigns a booking to a specific host.

POST/v2/bookings/{bookingUid}/reassign/{userId}

Request Body

application/jsonRequired
reasonstring

Reason for reassigning the booking

Path Parameters

bookingUidRequiredstring
userIdRequirednumber

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-08-13. If not set to this value, the endpoint will default to an older version.

Default: "2024-08-13"
AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/bookings/<string>/reassign/0" \
  -H "ical-api-version: 2024-08-13" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "Host has to take another call"
  }'

{
  "status": "success",
  "data": {
    "bookingUid": "booking_uid_123",
    "reassignedTo": {
      "id": 123,
      "name": "John Doe",
      "email": "john.doe@example.com",
      "displayEmail": "john.doe@example.com"
    }
  }
}